> For the complete documentation index, see [llms.txt](https://docs.chatbees.ai/chatbees/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatbees.ai/chatbees/api-references/document-operations/search.md).

# Search

You can search using natural language within a collection. `search()` method returns a list of most relevance references used to derive the answer.

{% tabs %}
{% tab title="HTTP" %}

```
POST /docs/search HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  "question": "string",
  // Optional top_k, default is 5.
  "top_k": int
}

Response:
{
  "refs": [
    {"doc_name": "string", "page_num": int, "sample_text": "string"},
    ...
  ]
}

```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure API key
cb.init(api_key="my_api_key", account_id="my_account_id")

# search over all docs in the collection
refs = cb.collection('llm_research').search('what is a transformer?')
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/document-operations/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
